Bug 171678 - linux/ip.h has incorrect endian #ifdefs in struct iphdr.
linux/ip.h has incorrect endian #ifdefs in struct iphdr.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc-kernheaders (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks: 171679
  Show dependency treegraph
 
Reported: 2005-10-25 03:42 EDT by David Woodhouse
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0318
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:07:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2005-10-25 03:42:02 EDT
struct iphdr {
#if defined(__LITTLE_ENDIAN)
        uint8_t ihl:4,
                version:4;
#elif defined (__BIG_ENDIAN)
        uint8_t version:4,
                ihl:4;
#endif

Both __LITTLE_ENDIAN and __BIG_ENDIAN are defined. It should be 
#if __BYTE_ORDER == __LITTLE_ENDIAN
etc. 


Additional info:
Comment 1 David Woodhouse 2005-10-25 04:15:12 EDT
Bug exists in FC4 and rawhide too. glibc-kernheaders-3.0-2 built in rawhide,
glibc-kernheaders-2.4-9.1.99 is built in dist-fc4-updates-candidate.
Awaiting process for RHEL4.
Comment 2 RHEL Product and Program Management 2006-09-12 10:01:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 David Woodhouse 2006-09-12 11:37:22 EDT
Fixed in glibc-kernheaders-2_4-9_1_99_EL
Comment 11 Red Hat Bugzilla 2007-05-01 19:07:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0318.html

Note You need to log in before you can comment on or make changes to this bug.